import '../../../../../../food_delivery_client.dart';

class WDiscountPart extends StatelessWidget {
  const WDiscountPart({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        ListView.separated(
          shrinkWrap: true,
          padding: EdgeInsets.symmetric(vertical: 12),
          scrollDirection: Axis.vertical,
          keyboardDismissBehavior: ScrollViewKeyboardDismissBehavior.onDrag,
          physics: const NeverScrollableScrollPhysics(),
          itemBuilder: (context, index) => WFoodItem(enableTag: true),
          separatorBuilder: (context, index) => 20.verticalSpace,
          itemCount: 3,
        ),
        WDivider(),
      ],
    );
  }
}
